Arbortext Content Manager Patch (SUP3) Available

Security Update Patch (SUP3) Available for Arbortext Content Manager and Windchill products

PTC has addressed several newly identified security vulnerabilities for supported versions of Arbortext Content Manger (aka Windchill).  These vulnerabilities affect all current maintenance releases of all Windchill Solution Products including:

  • Arbortext PDMLink
  • Windchill ProjectLink
  • Pro/INTRALINK
  • FlexPLM
  • Arbortext Content Manager

Best practices say to always install security patches promptly. For details, please visit Windchill Security Update page to download the appropriate patch.  Please contact PTC Technical Support with any questions.